All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::internal::scoped_ptr< T > Class Template Reference

## Public Types

typedef T | element_type

## Public Member Functions

| scoped_ptr (T *p=NULL)
T & | operator* () const
T * | operator-> () const
T * | get () const
T * | release ()
void | reset (T *p=NULL)

## Friends

void | swap (scoped_ptr &a, scoped_ptr &b)

## Detailed Description

### template<typename T>
class testing::internal::scoped_ptr< T >

Definition at line 1115 of file gtest-port.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-port.h